Name:           libgdsii
Version:        0.21
Release:        3%{?dist}
Summary:        A C++ library for working with GDSII binary data files

License:        GPL-2.0-or-later
URL:            https://github.com/HomerReid/libGDSII
Source0:        %{url}/releases/download/v%{version}/libgdsii-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++

%description
libGDSII is a C++ library for working with GDSII binary data files, intended 
primarily for use with the computational electromagnetism codes scuff-em and 
meep but sufficiently general-purpose to allow other uses as well.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{?ldconfig_scriptlets}

%files
%license COPYING
%doc README NEWS
%{_bindir}/GDSIIConvert
%{_libdir}/libGDSII.so.0
%{_libdir}/libGDSII.so.0.0.0
%{_datadir}/libGDSII/examples/bend-flux/bend-flux.gds

%files devel
%{_includedir}/libGDSII.h
%{_libdir}/libGDSII.a
%{_libdir}/libGDSII.so

%changelog
%autochangelog
